// priority: 0

settings.logAddedRecipes = true
settings.logRemovedRecipes = true
settings.logSkippedRecipes = false
settings.logErroringRecipes = true

//console.info('Loading custom recipes (Generic + Create)')

onEvent('recipes', event => {
	// Change recipes here

	//Remove Recipes
	event.remove({output: 'easy_villagers:trader'})
	event.remove({output: 'easy_villagers:farmer'})
	event.remove({output: 'easy_villagers:breeder'})
	event.remove({output: 'easy_villagers:converter'})
	event.remove({output: 'easy_villagers:iron_farm'})
	event.remove({output: 'easy_villagers:incubator'})
	event.remove({output: 'easy_piglins:barterer'})
	event.remove({output: 'easy_villagers:auto_trader'})
	event.remove({output: 'repairchests:basic_chest'})
	event.remove({output: 'repairchests:advanced_chest'})
	event.remove({output: 'repairchests:ultimate_chest'})
	event.remove({output: 'naturescompass:naturescompass'})
	event.remove({output: 'silentgear:blueprint_paper'})
	event.remove({output: 'create:crafting_blueprint'})
	event.remove({output: 'create:redstone_link'})
	event.remove({output: 'enderstorage:ender_chest'})
	event.remove({output: 'enderstorage:ender_tank'})
	event.remove({output: 'createdeco:iron_mesh_fence'})
	event.remove({output: 'createdeco:gold_mesh_fence'})
	event.remove({output: 'createdeco:brass_mesh_fence'})
	event.remove({output: 'createdeco:zinc_mesh_fence'})
	event.remove({output: 'createdeco:andesite_mesh_fence'})
	event.remove({output: 'createdeco:copper_mesh_fence'})
	event.remove({output: 'createdeco:netherite_mesh_fence'})
	event.remove({output: 'refinedstorage:network_receiver'})
	event.remove({output: 'refinedstorage:network_transmitter'})
	event.remove({output: 'mining_dimension:teleporter'})
	event.remove({output: 'cyclic:battery'})
	event.remove({output: 'byg:blue_sand'})
	event.remove({output: 'byg:pink_sand'})
	event.remove({output: 'silentgear:starlight_charger'})
	event.remove({output: 'silentgear:flax_seeds'})
	event.remove({output: 'silentgear:fluffy_seeds'})
	event.remove({id: 'create:crushing/brass_block'})
	event.remove({id: 'create:crushing/copper_block'})
	event.remove({id: 'create:crushing/zinc_block'})
	event.remove({output: 'minecraft:chorus_flower'})
	event.remove({output: 'immersiveengineering:connector_structural'})
	event.remove({output: 'storagedrawers:controller'})
	event.remove({output: 'storagedrawers:controller_slave'})
	event.remove({output: 'refinedstorage:basic_processor'})
	event.remove({output: 'refinedstorage:improved_processor'})
	event.remove({output: 'refinedstorage:advanced_processor'})
	event.remove({output: 'refinedstorage:processor_binding'})
	event.remove({id: 'refinedstorage:controller'})
	event.remove({output: 'refinedstorage:construction_core'})
	event.remove({output: 'refinedstorage:destruction_core'})
	event.remove({output: 'refinedstorage:machine_casing'})
	event.remove({output: 'refinedstorage:1k_storage_part'})
	event.remove({output: 'refinedstorage:4k_storage_part'})
	event.remove({output: 'refinedstorage:16k_storage_part'})
	event.remove({output: 'refinedstorage:64k_storage_part'})
	event.remove({output: 'refinedstorage:64k_fluid_storage_part'})
	event.remove({output: 'refinedstorage:256k_fluid_storage_part'})
	event.remove({output: 'refinedstorage:1024k_fluid_storage_part'})
	event.remove({output: 'refinedstorage:4096k_fluid_storage_part'})
	event.remove({output: 'refinedstorage:cable'})
	event.remove({output: 'storagedrawers:void_upgrade'})
		
	//Trader Recipe
	event.shaped('1x easy_villagers:trader', [
		'LLL',
		'LNL',
		'UIU'
	  ], {
		I: 'minecraft:iron_block',
		L: '#forge:glass',
		U: 'cyclic:mason_steel',
		N: ['minecraft:nether_bricks','byg:blue_nether_bricks','byg:yellow_nether_bricks']
	  })

	//Auto Trader Recipe
	
	event.shaped('1x easy_villagers:auto_trader', [
		'LEL',
		'ZNZ',
		'UIU'
	  ], {
		L: 'engineersdecor:panzerglass_block',
		E: 'create:electron_tube',
		Z: 'silents_mechanisms:bismuth_brass_block',
		N: 'easy_villagers:trader',
		U: 'minecraft:crying_obsidian',
		I: 'silentgear:bort_block'
	  })

	//Farmer Recipe
	event.shaped('1x easy_villagers:farmer', [
		'LLL',
		'LIL',
		'GCG'
	  ], {
		G: 'minecraft:dirt',
		I: 'easy_villagers:trader',
		L: '#forge:glass',
		C: 'minecraft:composter'
	  })

	//Breeder Recipe (Fluffy Blocks)
	event.shaped('1x easy_villagers:breeder', [
		'LLL',
		'BGB',
		'III'
	  ], {
		G: 'easy_villagers:trader',
		I: '#silentgear:fluffy_blocks',
		L: '#forge:glass',
		B: '#minecraft:beds'
	  })
	  
	//Breeder Recipe (Jump Cushion)
	event.shaped('1x easy_villagers:breeder', [
		'LLL',
		'BGB',
		'III'
	  ], {
		G: 'easy_villagers:trader',
		I: 'immersiveengineering:cushion',
		L: '#forge:glass',
		B: '#minecraft:beds'
	  })

	//Converter Recipe
	event.shaped('1x easy_villagers:converter', [
		'LHL',
		'LGL',
		'IJI'
	  ], {
		G: 'easy_villagers:trader',
		I: 'minecraft:mossy_cobblestone',
		L: '#forge:glass',
		H: 'bountifulbaubles:apple',
		J: 'silentgear:golden_nether_banana'
	  })

	//Iron Farm Recipe
	event.shaped('1x easy_villagers:iron_farm', [
		'LLL',
		'SGS',
		'IBI'
	  ], {
		G: 'easy_villagers:trader',
		I: 'cyclic:mason_steel',
		L: 'engineersdecor:panzerglass_block',
		B: 'minecraft:lava_bucket',
		S: 'silents_mechanisms:bismuth_brass_block'
	  })

	//Incubator Recipe (Jump Cushion)
	event.shaped('1x easy_villagers:incubator', [
		'LLL',
		'LGL',
		'III'
	  ], {
		G: 'easy_villagers:trader',
		I: 'immersiveengineering:cushion',
		L: '#forge:glass',
	  })
	  
	  //Incubator Recipe (Fluffy Block)
	event.shaped('1x easy_villagers:incubator', [
		'LLL',
		'LGL',
		'III'
	  ], {
		G: 'easy_villagers:trader',
		I: '#silentgear:fluffy_blocks',
		L: '#forge:glass',
	  })
	  
	//Barterer Recipe
	event.shaped('1x easy_piglins:barterer', [
		'LLL',
		'IGI',
		'DTD'
	  ], {
		G: 'easy_villagers:trader',
		I: 'create:electron_tube',
		L: '#forge:glass',
		T: 'silentgear:blaze_gold_block',
		D: 'createdeco:brass_sheet_metal',
	  })
	//Item Shelf Recipe
	event.shaped('1x supplementaries:item_shelf', [
		'   ',
		'MMM',
		'M M'
	  ], {
		M: '#minecraft:wooden_slabs',
	  })

	//Chests From Logs
	event.shaped('4x minecraft:chest', [
		'AAA',
		'A A',
		'AAA'
	], {
		A: '#minecraft:logs',
	})
	
	//Basic Repair Chest Recipe
	event.shaped('repairchests:basic_chest', [
		'AHB',
		'LIL',
		'CHD'
	], {
		A: 'ars_nouveau:blue_archwood_log',
		B: 'ars_nouveau:red_archwood_log',
		C: 'ars_nouveau:purple_archwood_log',
		D: 'ars_nouveau:green_archwood_log',
		H: 'create:brass_hand',
		I: 'ars_nouveau:archwood_chest',
		L: 'minecraft:scaffolding',
	})
	
	//Advanced Repair Chest Recipe
	event.shaped('repairchests:advanced_chest', [
		'AHB',
		'LIL',
		'BHA'
	], {
		A: 'ars_nouveau:bucket_of_mana',
		B: 'ars_nouveau:glyph_heal',
		H: 'createdeco:brass_sheet_metal',
		I: 'repairchests:basic_chest',
		L: 'cyclic:gem_amber',
	})

	//Ultimate Repair Chest Recipe

	event.shaped('repairchests:ultimate_chest', [
		'AHB',
		'LIL',
		'BHA'
	], {
		A: 'ars_nouveau:mana_gem_block',
		B: 'cyclic:gem_obsidian',
		H: 'create:shadow_steel_casing',
		I: 'repairchests:advanced_chest',
		L: 'create:refined_radiance_casing',
	})
	
	//Mining Dimension Teleporter Recipe
	
	event.shaped('mining_dimension:teleporter', [
		'AHA',
		'LIL',
		'AHA'
	], {
		A: 'create:gearbox',
		H: '#forge:treated_wood',
		I: 'waystones:warp_stone',
		L: 'ars_nouveau:mana_gem',
	})
	
	//Mining Dimension Teleporter Recipe (Sideways)
	
	event.shaped('mining_dimension:teleporter', [
		'ALA',
		'HIH',
		'ALA'
	], {
		A: 'create:gearbox',
		H: '#forge:treated_wood',
		I: 'waystones:warp_stone',
		L: 'ars_nouveau:mana_gem',
	})
	
	//Crafting Blueprint Recipe
	
	event.shaped('create:crafting_blueprint', [
		'AHA',
		'HIH',
		'AHA'
	], {
		A: 'minecraft:item_frame',
		H: 'silentgear:blueprint_paper',
		I: 'minecraft:painting',
	})
	
	//Create Deco: Iron Mesh Fence Recipe
	
	event.shaped('4x createdeco:iron_mesh_fence', [
		'AHA',
		'AHA'
	], {
		A: '#forge:plates/iron',
		H: '#forge:wires/iron'
	})
	
	//Create Deco: Gold Mesh Fence Recipe
	
	event.shaped('4x createdeco:gold_mesh_fence', [
		'AHA',
		'AHA'
	], {
		A: '#forge:plates/gold',
		H: '#forge:wires/gold'
	})
	
	//Create Deco: Brass Mesh Fence Recipe
	
	event.shaped('4x createdeco:brass_mesh_fence', [
		'AHA',
		'AHA'
	], {
		A: '#forge:plates/brass',
		H: ['#forge:wires/iron','#forge:wires/gold']
	})
	
	//Create Deco: Zinc Mesh Fence Recipe
	
	event.shaped('4x createdeco:zinc_mesh_fence', [
		'AHA',
		'AHA'
	], {
		A: '#forge:plates/zinc',
		H: '#forge:wires/iron'
	})
	
	//Create Deco: Andesite Mesh Fence Recipe
	
	event.shaped('4x createdeco:andesite_mesh_fence', [
		'AHA',
		'AHA'
	], {
		A: 'create:andesite_alloy',
		H: '#forge:wires/iron'
	})
	
	//Create Deco: Copper Mesh Fence Recipe
	
	event.shaped('4x createdeco:copper_mesh_fence', [
		'AHA',
		'AHA'
	], {
		A: '#forge:plates/copper',
		H: '#forge:wires/copper'
	})
	
	//Create Deco: Netherite Mesh Fence Recipe
	
	event.shaped('16x createdeco:netherite_mesh_fence', [
		'AHA',
		'AHA'
	], {
		A: '#forge:plates/netherite',
		H: '#forge:wires/lead'
	})
	
	//Cyclic: Battery Recipe
	
	event.shaped('cyclic:battery', [
		'VBV',
		'PTP',
		'VPV'
	], {
		V: 'immersiveengineering:capacitor_mv',
		B: 'silents_mechanisms:battery',
		P: 'cyclic:mason_plate',
		T: '#lightweight_adventures:tesla_coil'
	})
	
	//Scaffolding using non-vanilla string
	
	event.shaped('6x minecraft:scaffolding', [
		'BSB',
		'B B',
		'B B'
	], {
		B: 'minecraft:bamboo',
		S: '#forge:string'
	})
	
	//Sythian Scaffolding using non-vanilla string
	
	event.shaped('6x byg:sythian_scaffolding', [
		'BSB',
		'B B',
		'B B'
	], {
		B: 'byg:sythian_stalk_block',
		S: '#forge:string'
	})
	
	//Sythian Scaffolding using Canvas
	
	event.shaped('6x byg:sythian_scaffolding', [
		'BSB',
		'B B',
		'B B'
	], {
		B: 'byg:sythian_stalk_block',
		S: 'farmersdelight:canvas'
	})
	
	//Structural Connectors (The Decorative ones)
	
	event.shaped('2x immersiveengineering:connector_structural', [
		'NMN',
		'M M'
	], {
		M: 'engineersdecor:metal_bar',
		N: 'minecraft:iron_nugget'
	})
	
	// Drawer Controller and Slave
	
	event.shaped('storagedrawers:controller', [
		'MEM',
		'CSC',
		'MDM'
	], {
		E: 'immersiveengineering:sorter',
		M: 'minecraft:smooth_stone',
		S: '#storagedrawers:drawers',
		D: 'minecraft:diamond',
		C: 'minecraft:comparator'
	})
	
	event.shaped('4x storagedrawers:controller_slave', [
		'SDS',
		'DCD',
		'SDS'
	], {
		S: 'minecraft:smooth_stone',
		D: '#storagedrawers:drawers',
		C: 'storagedrawers:controller'
	})
	
	//Fluffy Block Coloring Recipes since they don't work by default for some very sad reason
	
	event.shapeless('8x silentgear:white_fluffy_block', ['8x #silentgear:fluffy_blocks', '#forge:dyes/white'])
	event.shapeless('8x silentgear:orange_fluffy_block', ['8x #silentgear:fluffy_blocks', '#forge:dyes/orange'])
	event.shapeless('8x silentgear:magenta_fluffy_block', ['8x #silentgear:fluffy_blocks', '#forge:dyes/magenta'])
	event.shapeless('8x silentgear:light_blue_fluffy_block', ['8x #silentgear:fluffy_blocks', '#forge:dyes/light_blue'])
	event.shapeless('8x silentgear:yellow_fluffy_block', ['8x #silentgear:fluffy_blocks', '#forge:dyes/yellow'])
	event.shapeless('8x silentgear:lime_fluffy_block', ['8x #silentgear:fluffy_blocks', '#forge:dyes/lime'])
	event.shapeless('8x silentgear:pink_fluffy_block', ['8x #silentgear:fluffy_blocks', '#forge:dyes/pink'])
	event.shapeless('8x silentgear:gray_fluffy_block', ['8x #silentgear:fluffy_blocks', '#forge:dyes/gray'])
	event.shapeless('8x silentgear:light_gray_fluffy_block', ['8x #silentgear:fluffy_blocks', '#forge:dyes/light_gray'])
	event.shapeless('8x silentgear:cyan_fluffy_block', ['8x #silentgear:fluffy_blocks', '#forge:dyes/cyan'])
	event.shapeless('8x silentgear:purple_fluffy_block', ['8x #silentgear:fluffy_blocks', '#forge:dyes/purple'])
	event.shapeless('8x silentgear:blue_fluffy_block', ['8x #silentgear:fluffy_blocks', '#forge:dyes/blue'])
	event.shapeless('8x silentgear:brown_fluffy_block', ['8x #silentgear:fluffy_blocks', '#forge:dyes/brown'])
	event.shapeless('8x silentgear:green_fluffy_block', ['8x #silentgear:fluffy_blocks', '#forge:dyes/green'])
	event.shapeless('8x silentgear:red_fluffy_block', ['8x #silentgear:fluffy_blocks', '#forge:dyes/red'])
	event.shapeless('8x silentgear:black_fluffy_block', ['8x #silentgear:fluffy_blocks', '#forge:dyes/black'])
	
	//Recolor Network Transmitters and Receivers to the default Light Blue coloration
	
	event.shapeless('refinedstorage:network_transmitter', ['#refinedstorage:network_transmitter','#forge:dyes/light_blue'])
	event.shapeless('refinedstorage:network_receiver', ['#refinedstorage:network_receiver','#forge:dyes/light_blue'])
	
	//Shapeless: 3x Brim Powder into 1x Yellow Dye
	
	event.shapeless('minecraft:yellow_dye', ['3x byg:brim_powder'])
	
	//Shapeless: 1x Wooden Plank and 1x Rough Rod into Knife Template
	
	event.shapeless('silentgear:knife_template', ['#minecraft:planks','3x silentgear:rough_rod'])
	
	//Shapeless: Books from Template Boards
	
	event.shapeless('minecraft:book', ['3x minecraft:paper','2x silentgear:template_board','#forge:string'])
	
	//Washing: Washing Cryptic Stone into End Stone and very rarely redstone dust.
	
	event.recipes.createSplashing([
		'minecraft:end_stone',
		Item.of('minecraft:redstone').withChance(0.05)
	],	'byg:cryptic_stone')
	
	//Washing: Dirt into Mud Balls.
	
	event.recipes.createSplashing([
		'2x byg:mud_ball',
	],	'minecraft:dirt')
	
	//Washing: Stained Terracotta into Un-Stained Terracotta
	
	event.recipes.createSplashing([
		'minecraft:terracotta'
	],	'#forge:stained_terracotta')	
	
	//Filling: Rocky Dirt into Netherrack, using very small amounts of Lava
	event.recipes.createFilling('minecraft:netherrack', [
		'decorative_blocks:rocky_dirt',
		Fluid.of('minecraft:lava', 50)
	])
	
	//Crushing: Blue Netherrack into Cinder Flour and very rarely Blue Dye
	event.recipes.createCrushing([
		'create:cinder_flour',
		Item.of('create:cinder_flour').withChance(0.5),
		Item.of('minecraft:blue_dye').withChance(0.1),
	], 'byg:blue_netherrack')
	
	//Crushing: Brimstone (Yellow Netherrack) into Cinder Flour and very rarely Brim Powder
	event.recipes.createCrushing([
		'create:cinder_flour',
		Item.of('create:cinder_flour').withChance(0.5),
		Item.of('byg:brim_powder').withChance(0.25),
	], 'byg:brimstone')
	
	//Crushing: Copper Coil Block into a mess of copper and iron nuggets
	event.recipes.createCrushing([
		'40x create:copper_nugget',
		Item.of('20x create:copper_nugget').withChance(0.5),
		Item.of('10x create:copper_nugget').withChance(0.5),
		Item.of('5x minecraft:iron_nugget').withChance(0.25)
	], 'immersiveengineering:coil_lv')
	
	//Crushing: Electrum Coil Block into a mess of electrum and iron nuggets
	event.recipes.createCrushing([
		'40x silents_mechanisms:electrum_nugget',
		Item.of('20x silents_mechanisms:electrum_nugget').withChance(0.5),
		Item.of('10x silents_mechanisms:electrum_nugget').withChance(0.5),
		Item.of('5x minecraft:iron_nugget').withChance(0.25)
	], 'immersiveengineering:coil_mv')
	
	//Crushing: High Voltage Coil Block into a mess of electrum and iron nuggets
	event.recipes.createCrushing([
		'20x silents_mechanisms:steel_nugget',
		'20x silents_mechanisms:aluminum_nugget',
		Item.of('20x silents_mechanisms:steel_nugget').withChance(0.5),
		Item.of('10x silents_mechanisms:steel_nugget').withChance(0.5),
		Item.of('20x silents_mechanisms:aluminum_nugget').withChance(0.5),
		Item.of('10x silents_mechanisms:aluminum_nugget').withChance(0.5),
		Item.of('5x minecraft:iron_nugget').withChance(0.25)
	], 'immersiveengineering:coil_hv')
	
	//Crushing: Any Raw Fish occasionally into Fish Oil
	event.recipes.createCrushing([
		Item.of('alexsmobs:fish_oil').withChance(0.25)
	], '#forge:raw_fishes')
	
	//Crushing: Cryptic Redstone Ore into Redstone and Cryptic Stone
	event.recipes.createCrushing([
		'8x minecraft:redstone',
		Item.of('6x minecraft:redstone').withChance(0.25),
		Item.of('byg:cryptic_stone').withChance(0.125)
	], 'byg:cryptic_redstone_ore')
	
	//Crushing: Blue Nether Quartz Ore into Quartz and rarely Blue Netherrack
	
	event.recipes.createCrushing([
		'2x minecraft:quartz',
		Item.of('4x minecraft:quartz').withChance(0.5),
		Item.of('byg:blue_netherrack').withChance(0.12),
	], 'byg:blue_nether_quartz_ore')
	
	//Crushing: Brimstone Nether Quartz Ore into Quartz and rarely Brimstone
	
	event.recipes.createCrushing([
		'2x minecraft:quartz',
		Item.of('4x minecraft:quartz').withChance(0.5),
		Item.of('byg:brimstone').withChance(0.12)
	], 'byg:brimstone_nether_quartz_ore')
	
	//Crushing: Storage Blocks into their respective Crushed Ores (Warning: Guaranteed losses!)
	
	event.recipes.createCrushing([
		Item.of('create:crushed_iron_ore').withChance(0.4),
		Item.of('create:crushed_iron_ore').withChance(0.4),
		Item.of('create:crushed_iron_ore').withChance(0.4),
		Item.of('create:crushed_iron_ore').withChance(0.4),
		Item.of('create:crushed_iron_ore').withChance(0.4),
	], '#forge:storage_blocks/iron')
	
	event.recipes.createCrushing([
		Item.of('create:crushed_gold_ore').withChance(0.4),
		Item.of('create:crushed_gold_ore').withChance(0.4),
		Item.of('create:crushed_gold_ore').withChance(0.4),
		Item.of('create:crushed_gold_ore').withChance(0.4),
		Item.of('create:crushed_gold_ore').withChance(0.4),
	], '#forge:storage_blocks/gold')
	
	event.recipes.createCrushing([
		Item.of('create:crushed_copper_ore').withChance(0.4),
		Item.of('create:crushed_copper_ore').withChance(0.4),
		Item.of('create:crushed_copper_ore').withChance(0.4),
		Item.of('create:crushed_copper_ore').withChance(0.4),
		Item.of('create:crushed_copper_ore').withChance(0.4),
	], '#forge:storage_blocks/copper')
	
	event.recipes.createCrushing([
		Item.of('create:crushed_zinc_ore').withChance(0.4),
		Item.of('create:crushed_zinc_ore').withChance(0.4),
		Item.of('create:crushed_zinc_ore').withChance(0.4),
		Item.of('create:crushed_zinc_ore').withChance(0.4),
		Item.of('create:crushed_zinc_ore').withChance(0.4),
	], '#forge:storage_blocks/zinc')
	
	event.recipes.createCrushing([
		Item.of('create:crushed_platinum_ore').withChance(0.4),
		Item.of('create:crushed_platinum_ore').withChance(0.4),
		Item.of('create:crushed_platinum_ore').withChance(0.4),
		Item.of('create:crushed_platinum_ore').withChance(0.4),
		Item.of('create:crushed_platinum_ore').withChance(0.4),
	], '#forge:storage_blocks/platinum')
	
	event.recipes.createCrushing([
		Item.of('create:crushed_silver_ore').withChance(0.4),
		Item.of('create:crushed_silver_ore').withChance(0.4),
		Item.of('create:crushed_silver_ore').withChance(0.4),
		Item.of('create:crushed_silver_ore').withChance(0.4),
		Item.of('create:crushed_silver_ore').withChance(0.4),
	], '#forge:storage_blocks/silver')
	
	event.recipes.createCrushing([
		Item.of('create:crushed_tin_ore').withChance(0.4),
		Item.of('create:crushed_tin_ore').withChance(0.4),
		Item.of('create:crushed_tin_ore').withChance(0.4),
		Item.of('create:crushed_tin_ore').withChance(0.4),
		Item.of('create:crushed_tin_ore').withChance(0.4),
	], '#forge:storage_blocks/tin')
	
	event.recipes.createCrushing([
		Item.of('create:crushed_lead_ore').withChance(0.4),
		Item.of('create:crushed_lead_ore').withChance(0.4),
		Item.of('create:crushed_lead_ore').withChance(0.4),
		Item.of('create:crushed_lead_ore').withChance(0.4),
		Item.of('create:crushed_lead_ore').withChance(0.4),
	], '#forge:storage_blocks/lead')
	
	event.recipes.createCrushing([
		Item.of('create:crushed_aluminum_ore').withChance(0.4),
		Item.of('create:crushed_aluminum_ore').withChance(0.4),
		Item.of('create:crushed_aluminum_ore').withChance(0.4),
		Item.of('create:crushed_aluminum_ore').withChance(0.4),
		Item.of('create:crushed_aluminum_ore').withChance(0.4),
	], '#forge:storage_blocks/aluminum')
	
	event.recipes.createCrushing([
		Item.of('create:crushed_uranium_ore').withChance(0.4),
		Item.of('create:crushed_uranium_ore').withChance(0.4),
		Item.of('create:crushed_uranium_ore').withChance(0.4),
		Item.of('create:crushed_uranium_ore').withChance(0.4),
		Item.of('create:crushed_uranium_ore').withChance(0.4),
	], '#forge:storage_blocks/uranium')
	
	event.recipes.createCrushing([
		Item.of('create:crushed_nickel_ore').withChance(0.4),
		Item.of('create:crushed_nickel_ore').withChance(0.4),
		Item.of('create:crushed_nickel_ore').withChance(0.4),
		Item.of('create:crushed_nickel_ore').withChance(0.4),
		Item.of('create:crushed_nickel_ore').withChance(0.4),
	], '#forge:storage_blocks/nickel')
	
	event.recipes.createCrushing([
		Item.of('silents_mechanisms:bismuth_chunks').withChance(0.4),
		Item.of('silents_mechanisms:bismuth_chunks').withChance(0.4),
		Item.of('silents_mechanisms:bismuth_chunks').withChance(0.4),
		Item.of('silents_mechanisms:bismuth_chunks').withChance(0.4),
		Item.of('silents_mechanisms:bismuth_chunks').withChance(0.4),
	], '#forge:storage_blocks/bismuth')
	
	event.recipes.createCrushing([
		Item.of('create:crushed_brass').withChance(0.4),
		Item.of('create:crushed_brass').withChance(0.4),
		Item.of('create:crushed_brass').withChance(0.4),
		Item.of('create:crushed_brass').withChance(0.4),
		Item.of('create:crushed_brass').withChance(0.4),
	], '#forge:storage_blocks/brass')
	
	//Crushing: Crush all Terracotta variants into 0-4 clay balls, and Bricks occasionally into clay balls
	
	event.recipes.createCrushing([
		Item.of('minecraft:clay_ball').withChance(0.25),
		Item.of('minecraft:clay_ball').withChance(0.25),
		Item.of('minecraft:clay_ball').withChance(0.25),
		Item.of('minecraft:clay_ball').withChance(0.25),
	], '#forge:stained_terracotta')
	
	event.recipes.createCrushing([
		Item.of('minecraft:clay_ball').withChance(0.25),
		Item.of('minecraft:clay_ball').withChance(0.25),
		Item.of('minecraft:clay_ball').withChance(0.25),
		Item.of('minecraft:clay_ball').withChance(0.25),
	], '#forge:glazed_terracotta')
	
	event.recipes.createCrushing([
		Item.of('minecraft:clay_ball').withChance(0.25),
		Item.of('minecraft:clay_ball').withChance(0.25),
		Item.of('minecraft:clay_ball').withChance(0.25),
		Item.of('minecraft:clay_ball').withChance(0.25),
	], 'minecraft:terracotta')
	
	event.recipes.createCrushing([
		Item.of('minecraft:clay_ball').withChance(0.25),
	], 'minecraft:brick')
	
	//Crushing: Guster Eye into assorted resources
	
	event.recipes.createCrushing([
		Item.of('4x minecraft:redstone').withChance(0.8),
		Item.of('2x minecraft:red_sand').withChance(0.5),
		Item.of('minecraft:ender_pearl').withChance(0.3),
		Item.of('2x ars_nouveau:mana_gem').withChance(0.1),
	], 'alexsmobs:guster_eye')
	
	//Crushing: Shark Teeth into Bone Meal
	
	event.recipes.createCrushing([
		'6x minecraft:bone_meal',
		Item.of('minecraft:bone_meal').withChance(0.75),
		Item.of('minecraft:bone_meal').withChance(0.75),
		Item.of('minecraft:bone_meal').withChance(0.75),
	], '#lightweight_adventures:shark_teeth')
	
	//Milling: Flax (Supplementaries) -> Flax Fiber (Silent Gear)
	
	event.recipes.createMilling([
		'3x silentgear:flax_fiber',
	], 'supplementaries:flax')
	
	//Milling: Bricks occasionally into clay balls; slightly better conversion rate than crushing
	
	event.recipes.createMilling([
		Item.of('minecraft:clay_ball').withChance(0.35),
	], 'minecraft:brick')
	
	//Mechanical Crafting: Ender Chest and Ender Tank (Ender Storage)
	
	event.recipes.createMechanicalCrafting('enderstorage:ender_chest', [
		'OFFFO',
		'GSTSG',
		'GSESG',
		'BSTSB'
	], {
		G: 'silentgear:blaze_gold_ingot',
		S: 'create:shadow_steel',
		T: 'cyclic:eye_redstone',
		E: 'minecraft:ender_chest',
		F: '#silentgear:fluffy_blocks',
		B: 'silentgear:blaze_gold_block',
		O: 'ironchest:obsidian_chest'
	})
	
	event.recipes.createMechanicalCrafting('enderstorage:ender_tank', [
		'OFFFO',
		'GSTSG',
		'GSESG',
		'BSTSB'
	], {
		G: 'silentgear:blaze_gold_ingot',
		S: 'create:shadow_steel',
		T: 'cyclic:eye_redstone',
		E: 'minecraft:ender_chest',
		F: '#silentgear:fluffy_blocks',
		B: 'silentgear:blaze_gold_block',
		O: 'cyclic:tank'
	})
	
	//Mechanical Crafting: Network Transmitter and Receiver (Refined Storage)
	
	event.recipes.createMechanicalCrafting('refinedstorage:network_transmitter', [
		'RR RR',
		'RSOSR',
		'SOCOS',
		'FIOIF'
	], {
		R: 'create:refined_radiance',
		S: 'refinedstorage:quartz_enriched_iron_block',
		O: 'createaddition:overcharged_alloy',
		C: 'refinedstorage:machine_casing',
		F: 'refinedstorage:wireless_transmitter',
		I: 'waystones:warp_stone'
	})
	
	event.recipes.createMechanicalCrafting('refinedstorage:network_receiver', [
		'RR RR',
		'RSOSR',
		'SOCOS',
		'FIOIF'
	], {
		R: 'create:shadow_steel',
		S: 'refinedstorage:quartz_enriched_iron_block',
		O: 'createaddition:overcharged_alloy',
		C: 'refinedstorage:machine_casing',
		F: 'refinedstorage:wireless_transmitter',
		I: 'waystones:warp_stone'
	})
	
	//Mechanical Crafting: Redstone Link (for balance)
	
	event.recipes.createMechanicalCrafting('create:redstone_link', [
		'  T',
		'  E',
		'CPB',
		'PAP'
	], {
		T: 'minecraft:redstone_torch',
		B: 'minecraft:bowl',
		P: '#forge:plates/brass',
		C: 'immersiveengineering:wirecoil_redstone',
		A: 'create:brass_casing',
		E: '#lightweight_adventures:electron_tube'
	})
	
	//Mechanical Crafting: Refined Storage Controllers
	
	event.recipes.createMechanicalCrafting('refinedstorage:controller', [
		'ABBBA',
		'BFEFB',
		'BDCDB',
		'BFEFB',
		'ABBBA'
	], {
		A: 'minecraft:terracotta',
		B: 'refinedstorage:quartz_enriched_iron',
		C: 'refinedstorage:machine_casing',
		D: 'createaddition:overcharged_alloy',
		E: 'immersiveengineering:capacitor_hv',
		F: 'silents_mechanisms:circuit_board'
	})

	//Construction and Destruction Cores (Mechanical)
	
	event.recipes.createMechanicalCrafting('refinedstorage:construction_core', [
		'A',
		'B',
		'C',
		'D'
	], {
		A: 'minecraft:redstone',
		B: 'minecraft:glowstone_dust',
		C: 'silents_mechanisms:solder',
		D: 'refinedstorage:improved_processor'
	})
	
	event.recipes.createMechanicalCrafting('refinedstorage:destruction_core', [
		'A',
		'B',
		'C',
		'D'
	], {
		A: 'minecraft:redstone',
		B: 'minecraft:quartz',
		C: 'silents_mechanisms:solder',
		D: 'refinedstorage:improved_processor'
	})
	
	//Machine Casing
	
	event.recipes.createMechanicalCrafting('refinedstorage:machine_casing', [
		' QPQ ',
		'QPSPQ',
		' QPQ '
	], {
		Q: 'refinedstorage:quartz_enriched_iron',
		P: 'silents_mechanisms:compressed_iron_ingot',
		S: '#forge:storage_blocks/steel'
	})
	
	//Adds Anthracite (BYG) as a fuel for the Blast Furnace (Immersive).  Burn time the same as Coal Coke.
	
	event.recipes.immersiveengineeringBlastFurnaceFuel('byg:anthracite').time(1200)
	event.recipes.immersiveengineeringBlastFurnaceFuel('#forge:storage_blocks/anthracite').time(12000)

	//Adds Netherwood Charcoal as Blast Furnace Fuel.  Burn Time is double that of charcoal, or 1/2 Coal Coke.
	
	event.recipes.immersiveengineeringBlastFurnaceFuel('silentgear:netherwood_charcoal').time(600)
	
	//Adds Netherwood Charcoal Block as Blast Furnace Fuel.  Burn Time is 10x Netherwood Charcoal, 20 x Charcoal, and 5x Coal Coke.
	
	event.recipes.immersiveengineeringBlastFurnaceFuel('silentgear:netherwood_charcoal_block').time(6000)
	
	//Making Peat (BYG) Craftable and Renewable
	
	//Turn Enriched Peat Bars (Cyclic) into Peat Blocks (BYG)
	
	event.recipes.createCrushing([
		Item.of('byg:peat').withChance(0.4),
		Item.of('byg:peat').withChance(0.4),
		Item.of('byg:peat').withChance(0.4),
		Item.of('byg:peat').withChance(0.4),
		Item.of('byg:peat').withChance(0.4),
		Item.of('byg:peat').withChance(0.4),
		Item.of('byg:peat').withChance(0.4),
		Item.of('byg:peat').withChance(0.4),
	], 'cyclic:peat_fuel_enriched')
	
	//Turn Peat (BYG) into Saturated Peat Bogs (Cyclic) using copious amounts of water
	
	event.recipes.createFilling('cyclic:peat_baked', [
		'byg:peat',
		Fluid.of('minecraft:water', 8000)
	])
	
	//Turn Peat Bars (Cyclic) into Peat Blocks (BYG)
	
	event.recipes.createCrushing([
		Item.of('byg:peat').withChance(0.2),
		Item.of('byg:peat').withChance(0.2),
		Item.of('byg:peat').withChance(0.2),
		Item.of('byg:peat').withChance(0.2),
	], 'cyclic:peat_fuel')
	
	//Pressing: Steel Ingots into Steel Plates (Immersive)
	
	event.recipes.createPressing('immersiveengineering:plate_steel', '#forge:ingots/steel')
	
	//Washing: Washing Spectral Arrows occasionally into glowstone dust, sticks, and flint.
	
	event.recipes.createSplashing([
		Item.of('minecraft:glowstone_dust').withChance(0.5),
		Item.of('minecraft:stick').withChance(0.1),
		Item.of('minecraft:flint').withChance(0.1)
	],	'minecraft:spectral_arrow')
		
	//Stonecutting: Exchange various Storage Blocks, Ingots, and Nuggets between equivalent forms (i.e. Create Copper Block to Immersive or Silent's Copper Block)
	
	//Copper
	event.stonecutting('create:copper_block', '#forge:storage_blocks/copper')
	event.stonecutting('silents_mechanisms:copper_block', '#forge:storage_blocks/copper')
	event.stonecutting('immersiveengineering:storage_copper', '#forge:storage_blocks/copper')
	event.stonecutting('create:copper_ingot', '#forge:ingots/copper')
	event.stonecutting('silents_mechanisms:copper_ingot', '#forge:ingots/copper')
	event.stonecutting('immersiveengineering:ingot_copper', '#forge:ingots/copper')
	event.stonecutting('create:copper_nugget', '#forge:nuggets/copper')
	event.stonecutting('silents_mechanisms:copper_nugget', '#forge:nuggets/copper')
	event.stonecutting('immersiveengineering:nugget_copper', '#forge:nuggets/copper')
	
	//Brass
	event.stonecutting('create:brass_block', '#forge:storage_blocks/brass')
	event.stonecutting('silents_mechanisms:brass_block', '#forge:storage_blocks/brass')
	event.stonecutting('create:brass_ingot', '#forge:ingots/brass')
	event.stonecutting('silents_mechanisms:brass_ingot', '#forge:ingots/brass')
	event.stonecutting('create:brass_nugget', '#forge:nuggets/brass')
	event.stonecutting('silents_mechanisms:brass_nugget', '#forge:nuggets/brass')
	
	//Zinc
	event.stonecutting('create:zinc_block', '#forge:storage_blocks/zinc')
	event.stonecutting('silents_mechanisms:zinc_block', '#forge:storage_blocks/zinc')
	event.stonecutting('create:zinc_ingot', '#forge:ingots/zinc')
	event.stonecutting('silents_mechanisms:zinc_ingot', '#forge:ingots/zinc')
	event.stonecutting('create:zinc_nugget', '#forge:nuggets/zinc')
	event.stonecutting('silents_mechanisms:zinc_nugget', '#forge:nuggets/zinc')
	
	//Aluminum
	event.stonecutting('immersiveengineering:storage_aluminum', '#forge:storage_blocks/aluminum')
	event.stonecutting('silents_mechanisms:aluminum_block', '#forge:storage_blocks/aluminum')
	event.stonecutting('immersiveengineering:ingot_aluminum', '#forge:ingots/aluminum')
	event.stonecutting('silents_mechanisms:aluminum_ingot', '#forge:ingots/aluminum')
	event.stonecutting('immersiveengineering:nugget_aluminum', '#forge:nuggets/aluminum')
	event.stonecutting('silents_mechanisms:aluminum_nugget', '#forge:nuggets/aluminum')
	
	//Lead
	event.stonecutting('immersiveengineering:storage_lead', '#forge:storage_blocks/lead')
	event.stonecutting('silents_mechanisms:lead_block', '#forge:storage_blocks/lead')
	event.stonecutting('immersiveengineering:ingot_lead', '#forge:ingots/lead')
	event.stonecutting('silents_mechanisms:lead_ingot', '#forge:ingots/lead')
	event.stonecutting('immersiveengineering:nugget_lead', '#forge:nuggets/lead')
	event.stonecutting('silents_mechanisms:lead_nugget', '#forge:nuggets/lead')
	
	//Silver
	event.stonecutting('immersiveengineering:storage_silver', '#forge:storage_blocks/silver')
	event.stonecutting('silents_mechanisms:silver_block', '#forge:storage_blocks/silver')
	event.stonecutting('immersiveengineering:ingot_silver', '#forge:ingots/silver')
	event.stonecutting('silents_mechanisms:silver_ingot', '#forge:ingots/silver')
	event.stonecutting('immersiveengineering:nugget_silver', '#forge:nuggets/silver')
	event.stonecutting('silents_mechanisms:silver_nugget', '#forge:nuggets/silver')
	
	//Nickel
	event.stonecutting('immersiveengineering:storage_nickel', '#forge:storage_blocks/nickel')
	event.stonecutting('silents_mechanisms:nickel_block', '#forge:storage_blocks/nickel')
	event.stonecutting('immersiveengineering:ingot_nickel', '#forge:ingots/nickel')
	event.stonecutting('silents_mechanisms:nickel_ingot', '#forge:ingots/nickel')
	event.stonecutting('immersiveengineering:nugget_nickel', '#forge:nuggets/nickel')
	event.stonecutting('silents_mechanisms:nickel_nugget', '#forge:nuggets/nickel')
	
	//Uranium
	event.stonecutting('immersiveengineering:storage_uranium', '#forge:storage_blocks/uranium')
	event.stonecutting('silents_mechanisms:uranium_block', '#forge:storage_blocks/uranium')
	event.stonecutting('immersiveengineering:ingot_uranium', '#forge:ingots/uranium')
	event.stonecutting('silents_mechanisms:uranium_ingot', '#forge:ingots/uranium')
	event.stonecutting('immersiveengineering:nugget_uranium', '#forge:nuggets/uranium')
	event.stonecutting('silents_mechanisms:uranium_nugget', '#forge:nuggets/uranium')
	
	//Electrum
	event.stonecutting('immersiveengineering:storage_electrum', '#forge:storage_blocks/electrum')
	event.stonecutting('silents_mechanisms:electrum_block', '#forge:storage_blocks/electrum')
	event.stonecutting('immersiveengineering:ingot_electrum', '#forge:ingots/electrum')
	event.stonecutting('silents_mechanisms:electrum_ingot', '#forge:ingots/electrum')
	event.stonecutting('immersiveengineering:nugget_electrum', '#forge:nuggets/electrum')
	event.stonecutting('silents_mechanisms:electrum_nugget', '#forge:nuggets/electrum')
	
	//Steel
	event.stonecutting('immersiveengineering:storage_steel', '#forge:storage_blocks/steel')
	event.stonecutting('silents_mechanisms:steel_block', '#forge:storage_blocks/steel')
	event.stonecutting('immersiveengineering:ingot_steel', '#forge:ingots/steel')
	event.stonecutting('silents_mechanisms:steel_ingot', '#forge:ingots/steel')
	event.stonecutting('immersiveengineering:nugget_steel', '#forge:nuggets/steel')
	event.stonecutting('silents_mechanisms:steel_nugget', '#forge:nuggets/steel')
	
	//Stonecutting: Enabling Travertine variants
	//Travertine -> All Variants
	event.stonecutting('byg:travertine_stairs', 'byg:travertine')
	event.stonecutting('2x byg:travertine_slab', 'byg:travertine')
	event.stonecutting('byg:travertine_wall', 'byg:travertine')
	event.stonecutting('byg:polished_travertine', 'byg:travertine')
	event.stonecutting('byg:polished_travertine_stairs', 'byg:travertine')
	event.stonecutting('2x byg:polished_travertine_slab', 'byg:travertine')
	event.stonecutting('byg:polished_travertine_wall', 'byg:travertine')
	event.stonecutting('byg:chiseled_travertine', 'byg:travertine')
	event.stonecutting('byg:chiseled_travertine_stairs', 'byg:travertine')
	event.stonecutting('2x byg:chiseled_travertine_slab', 'byg:travertine')
	event.stonecutting('byg:chiseled_travertine_wall', 'byg:travertine')
	//Polished Travertine Only
	event.stonecutting('byg:polished_travertine_stairs', 'byg:polished_travertine')
	event.stonecutting('2x byg:polished_travertine_slab', 'byg:polished_travertine')
	event.stonecutting('byg:polished_travertine_wall', 'byg:polished_travertine')
	//Chiseled Travertine Only
	event.stonecutting('byg:chiseled_travertine_stairs', 'byg:chiseled_travertine')
	event.stonecutting('2x byg:chiseled_travertine_slab', 'byg:chiseled_travertine')
	event.stonecutting('byg:chiseled_travertine_wall', 'byg:chiseled_travertine')
	
	
	
})	
onEvent('item.tags', event => {
	// Get the #forge:cobblestone tag collection and add Diamond Ore to it
	// event.get('forge:cobblestone').add('minecraft:diamond_ore')
	
	event.get('forge:dusts/sulfur').add('byg:brim_powder')
	event.get('forge:ores/gold').add('byg:blue_nether_gold_ore')
	event.get('forge:ores/gold').add('byg:brimstone_nether_gold_ore')
	event.get('forge:saplings').add('ars_nouveau:blue_archwood_sapling')
	event.get('forge:saplings').add('ars_nouveau:red_archwood_sapling')
	event.get('forge:saplings').add('ars_nouveau:purple_archwood_sapling')
	event.get('forge:saplings').add('ars_nouveau:green_archwood_sapling')
	event.get('forge:saplings/archwood').add('ars_nouveau:blue_archwood_sapling')
	event.get('forge:saplings/archwood').add('ars_nouveau:red_archwood_sapling')
	event.get('forge:saplings/archwood').add('ars_nouveau:purple_archwood_sapling')
	event.get('forge:saplings/archwood').add('ars_nouveau:green_archwood_sapling')
	event.get('forge:storage_blocks').add('charcoalblock:charcoal_block')
	event.get('forge:storage_blocks/charcoal').add('charcoalblock:charcoal_block')
	event.get('forge:stained_terracotta').add('minecraft:white_terracotta')
	event.get('forge:stained_terracotta').add('minecraft:orange_terracotta')
	event.get('forge:stained_terracotta').add('minecraft:magenta_terracotta')
	event.get('forge:stained_terracotta').add('minecraft:light_blue_terracotta')
	event.get('forge:stained_terracotta').add('minecraft:yellow_terracotta')
	event.get('forge:stained_terracotta').add('minecraft:lime_terracotta')
	event.get('forge:stained_terracotta').add('minecraft:pink_terracotta')
	event.get('forge:stained_terracotta').add('minecraft:gray_terracotta')
	event.get('forge:stained_terracotta').add('minecraft:light_gray_terracotta')
	event.get('forge:stained_terracotta').add('minecraft:cyan_terracotta')
	event.get('forge:stained_terracotta').add('minecraft:purple_terracotta')
	event.get('forge:stained_terracotta').add('minecraft:blue_terracotta')
	event.get('forge:stained_terracotta').add('minecraft:brown_terracotta')
	event.get('forge:stained_terracotta').add('minecraft:green_terracotta')
	event.get('forge:stained_terracotta').add('minecraft:red_terracotta')
	event.get('forge:stained_terracotta').add('minecraft:black_terracotta')
	event.get('lightweight_adventures:tesla_coil').add('createaddition:tesla_coil')
	event.get('lightweight_adventures:tesla_coil').add('immersiveengineering:tesla_coil')
	event.get('lightweight_adventures:fungi').add('minecraft:crimson_fungus')
	event.get('lightweight_adventures:fungi').add('minecraft:warped_fungus')
	event.get('lightweight_adventures:fungi').add('byg:embur_wart')
	event.get('lightweight_adventures:fungi').add('byg:sythian_fungus')
	event.get('lightweight_adventures:fungi').add('byg:soul_shroom')
	event.get('forge:sand').add('engineersdecor:dense_grit_sand_block')
	event.get('lightweight_adventures:electron_tube').add('create:electron_tube')
	event.get('lightweight_adventures:electron_tube').add('immersiveengineering:electron_tube')
	event.get('farmersdelight:tools/knives').add('silentgear:knife')
	event.get('farmersdelight:tools/knives').add('silentgear:dagger')
	event.get('farmersdelight:straw_harvesters').add('silentgear:knife')
	event.get('farmersdelight:straw_harvesters').add('silentgear:dagger')
	event.get('forge:sand/colorless').add('minecraft:sand')
	event.get('minecraft:sand').add('minecraft:sand')
	event.get('minecraft:sand').add('minecraft:red_sand')
	event.get('forge:seeds/flax').add('silentgear:flax_seeds')
	event.get('forge:glazed_terracotta').add('minecraft:white_glazed_terracotta')
	event.get('forge:glazed_terracotta').add('minecraft:orange_glazed_terracotta')
	event.get('forge:glazed_terracotta').add('minecraft:magenta_glazed_terracotta')
	event.get('forge:glazed_terracotta').add('minecraft:light_blue_glazed_terracotta')
	event.get('forge:glazed_terracotta').add('minecraft:yellow_glazed_terracotta')
	event.get('forge:glazed_terracotta').add('minecraft:lime_glazed_terracotta')
	event.get('forge:glazed_terracotta').add('minecraft:pink_glazed_terracotta')
	event.get('forge:glazed_terracotta').add('minecraft:gray_glazed_terracotta')
	event.get('forge:glazed_terracotta').add('minecraft:light_gray_glazed_terracotta')
	event.get('forge:glazed_terracotta').add('minecraft:cyan_glazed_terracotta')
	event.get('forge:glazed_terracotta').add('minecraft:purple_glazed_terracotta')
	event.get('forge:glazed_terracotta').add('minecraft:blue_glazed_terracotta')
	event.get('forge:glazed_terracotta').add('minecraft:brown_glazed_terracotta')
	event.get('forge:glazed_terracotta').add('minecraft:green_glazed_terracotta')
	event.get('forge:glazed_terracotta').add('minecraft:red_glazed_terracotta')
	event.get('forge:glazed_terracotta').add('minecraft:black_glazed_terracotta')
	event.get('lightweight_adventures:shark_teeth').add('alexsmobs:shark_tooth')
	event.get('lightweight_adventures:shark_teeth').add('alexsmobs:serrated_shark_tooth')
	event.get('lightweight_adventures:shark_teeth').add('upgrade_aquatic:thrasher_tooth')
	event.get('supplementaries:ropes').add('immersiveengineering:wirecoil_structure_rope')
	event.get('forge:workbenches').add('minecraft:crafting_table')
	event.get('forge:workbenches').add('cyclic:workbench')
	event.get('forge:workbenches').add('immersiveengineering:craftingtable')
	event.get('forge:workbenches').add('engineersdecor:metal_crafting_table')
	


	// Get the #forge:cobblestone tag collection and remove Mossy Cobblestone from it
	// event.get('forge:cobblestone').remove('minecraft:mossy_cobblestone')
})